Node Exporter Manager
=====================

Skrypt do instalacji, aktualizacji, konfiguracji i usuwania Prometheus Node Exporter na systemach Linux.

Wymagania:
- Linux z systemd
- Python 3
- Uprawnienia roota

Użycie:
  node_exporter_manager.py --install     # Instalacja i uruchomienie usługi
  node_exporter_manager.py --update      # Aktualizacja do najnowszej wersji
  node_exporter_manager.py --uninstall   # Usunięcie binarki, usługi i użytkownika
  node_exporter_manager.py --setup       # Instalacja skryptu, CRON i logrotate

Opis działań:

--install
- Pobiera najnowszą wersję Node Exportera z GitHub
- Instaluje binarkę do /usr/local/bin
- Tworzy użytkownika systemowego node_exporter
- Tworzy i uruchamia usługę systemd

--update
- Porównuje wersję lokalną z najnowszą
- W razie potrzeby aktualizuje binarkę i restartuje usługę

--uninstall
- Zatrzymuje i usuwa usługę
- Usuwa binarkę, użytkownika i katalog domowy

--setup
- Kopiuje skrypt do /usr/local/bin/node_exporter_manager.py
- Dodaje zadanie cron do automatycznej aktualizacji codziennie o 3:15
- Tworzy konfigurację logrotate dla plików logów

Pliki i ścieżki:
- Binarka: /usr/local/bin/node_exporter
- Usługa: /etc/systemd/system/node_exporter.service
- Użytkownik: node_exporter (home: /var/lib/node_exporter)
- Logi: /var/log/node_exporter_installer.log, /var/log/node_exporter_cron.log
- Logrotate: /etc/logrotate.d/node_exporter_manager

Uwaga: Skrypt musi być uruchamiany jako root.
